CREATE TABLE `SPORTS_NHL_STANDINGS` (
  `season` YEAR NOT NULL,
  `the_date` DATE NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WPG','WSH') COLLATE latin1_general_ci NOT NULL,
  `wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `ot_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `pts` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `goals_for` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 0,
  `goals_against` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 0,
  `home_wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `home_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `home_ot_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `visitor_wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `visitor_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `visitor_ot_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `div_wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `div_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `div_ot_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `recent_wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `recent_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `recent_ot_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `pos_league` TINYINT(3) UNSIGNED DEFAULT 0,
  `pos_conf` TINYINT(3) UNSIGNED DEFAULT 0,
  `pos_div` TINYINT(3) UNSIGNED DEFAULT 0,
  `max_pts` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `reg_ot_wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `status_code` CHAR(1) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`season`,`the_date`,`team_id`),
  KEY `by_status_codes` (`season`,`the_date`,`status_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_PLAYOFF_SEEDS` (
  `season` YEAR NOT NULL,
  `conf_id` TINYINT(1) UNSIGNED NOT NULL,
  `seed` TINYINT(1) UNSIGNED NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WPG','WSH') COLLATE latin1_general_ci DEFAULT NULL,
  `pos_div` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pos_conf` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pos_league` TINYINT(3) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`conf_id`,`seed`),
  KEY `by_team` (`season`,`conf_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_PLAYOFF_SERIES` (
  `season` YEAR NOT NULL,
  `the_date` DATE NOT NULL,
  `round_code` ENUM('1','2','3','4','5','6','7','8','9','11','12','13','14','15','16','17','18','21','22','23','24','26','27','28','29','31','32','38','39','41','49') COLLATE latin1_general_ci NOT NULL,
  `higher_conf_id` TINYINT(3) UNSIGNED NOT NULL,
  `higher_seed` TINYINT(3) UNSIGNED NOT NULL,
  `lower_conf_id` TINYINT(3) UNSIGNED NOT NULL,
  `lower_seed` TINYINT(3) UNSIGNED NOT NULL,
  `higher_games` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `lower_games` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`season`,`the_date`,`round_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_PLAYOFF_ROUND_ROBIN` (
  `season` YEAR NOT NULL,
  `conf_id` TINYINT(3) UNSIGNED NOT NULL,
  `team_id` CHAR(3) COLLATE latin1_general_ci NOT NULL,
  `pos_conf` TINYINT(3) UNSIGNED NOT NULL,
  `pos_league` TINYINT(3) UNSIGNED NOT NULL,
  `seed` TINYINT(3) UNSIGNED NOT NULL,
  `wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `ot_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `pts` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `goals_for` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `goals_against` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`season`,`conf_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
